Productsup
CDE APIApi referenceConnectors

List connector references (id, owner, name).

Returns all connector references (id, owner, name). Admin only.

Sign in to run requests against the CDE API.
GET
/connectors/references

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/references"
{
  "message": "successful request",
  "data": [
    {
      "id": "21a25346-4af9-47f4-b2c6-368f8b4f76d9",
      "owner": "019e16f4-7c55-7253-a4b4-d6eba86f4bec",
      "name": "connector1"
    },
    {
      "id": "36e24421-4ec3-4c57-b0ac-f5502bdb8cfe",
      "owner": "019e16f4-7c55-7253-a4b4-d6eba86f4bec",
      "name": "connector2"
    }
  ]
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?